@font-face {
    font-family: "Montserrat";
    src: url("./assets/Montserrat/Montserrat-VariableFont_wght.ttf") format("truetype");
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Montserrat";
    color: #ffffff;
    cursor: default;
}

html,
body {
    height: 100%;
    width: 100%;
}

::-webkit-scrollbar {
    width: 0.625rem;
    height: 0.3125rem;
}

::-webkit-scrollbar-track {
    background: #000000;
    border-radius: 0;
}

::-webkit-scrollbar-thumb {
    background: #91B508;
    border-radius: 0.1875rem;
}

::-webkit-scrollbar-thumb:hover {
    background: #91B508;
}

#nav {
    height: 8.4375rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 0 8.1875rem;
    gap: 3.125rem;
    position: fixed;
    z-index: 99;
}

#nav img {
    height: 4.625rem;
    transition: all ease 0.3s;
}

#nav img:hover {
    transform: scale(0.95);
}

#nav ul {
    display: flex;
    gap: 3.75rem;
    list-style-type: none;
    text-transform: uppercase;
    font-weight: 500;
}

#nav li {
    transition: all ease 0.3s;
}

#nav li:hover {
    color: #91B508;
}

#cursor {
    pointer-events: none;
    height: 1.3125rem;
    width: 1.3125rem;
    background-color: #91B508;
    border-radius: 50%;
    position: fixed;
    z-index: 100;
    transition: all 0.1s ease;
}

#cursor-blur {
    height: 31.25rem;
    width: 31.25rem;
    background: radial-gradient(circle, #e4ff785e 15%, #92b5083a 80%);
    border-radius: 50%;
    position: fixed;
    filter: blur(5rem);
    z-index: 9;
}


video {
    height: 100%;
    width: 100%;
    object-fit: cover;
    position: fixed;
    z-index: -1;
}

#main {
    position: relative;
    background-color: #00000060;
}

#page1 {
    position: relative;
    height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 10;
}

#page1 h1 {
    font-size: 9.0625rem;
    font-weight: 900;
    margin-bottom: 0.625rem;
    position: relative;
}

#page1 h1::before {
    content: "EAT. DRINK. PLAY.";
    position: absolute;
    top: -0.3125rem;
    color: black;
    left: -0.3125rem;
    -webkit-text-stroke: 0.09375rem #91B508;
    z-index: -1;
}

#page1 h2 {
    font-size: 1.9375rem;
    font-weight: 800;
    margin-bottom: 0.9375rem;
}

#page1 p {
    font-size: 1.25rem;
    font-weight: 400;
    width: 45%;
}

#arrow-container {
    height: 12.5rem;
    width: 12.5rem;
    position: absolute;
    left: -3%;
    bottom: 0%;
}

#arrow {
    height: 100%;
    width: 100%;
    background-color: transparent;
    border: 0.125rem solid #91B508;
    position: absolute;
    display: flex;
    left: -3%;
    bottom: 0%;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: all ease 0.5s;
}

#arrow i {
    font-size: 3.125rem;
    transition: all ease 0.5s;
}

#arrow-container:hover #arrow {
    scale: 0.4;
    background-color: #91B508;
}

#arrow-container:hover #arrow i {
    scale: 2;
}

#page2 {
    scroll-margin-top: 5.625rem;
    min-height: 100vh;
    width: 100%;
    z-index: 10;
}

#scroller {
    white-space: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
    position: relative;
    z-index: 10;
}

#scroller::-webkit-scrollbar {
    display: none;
}

.scroller-in {
    display: inline-block;
    white-space: nowrap;
    animation-name: scroll;
    animation-duration: 100s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

#scroller h4 {
    display: inline-block;
    font-size: 7.5rem;
    font-weight: 900;
    margin-right: 1.25rem;
    color: black;
    -webkit-text-stroke: 0.125rem #ffffff;
    paint-order: stroke fill;
    transition: all linear 0.3s;
}

#scroller h4:hover {
    color: #91B508;
    -webkit-text-stroke: 0.125rem #91B508;
}

@keyframes scroll {
    from {
        transform: translateX(0)
    }

    to {
        transform: translateX(-100%)
    }
}

#about {
    height: 50vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 0 3.125rem;
    margin-top: 6.25rem;
    position: relative;
    z-index: 10;
}

#about img {
    height: 12.5rem;
    width: 12.5rem;
    border-radius: 1.25rem;
    object-fit: cover;
}

#aboutus {
    width: 52%;
    text-align: center;
}

#aboutus h3 {
    font-size: 3.25rem;
    font-weight: 900;
    margin-bottom: 1.5625rem;
}

#aboutus p {
    font-size: 1.25rem;
    font-weight: 400;
    line-height: 2;
    margin-bottom: 1.5625rem;
}

#cards {
    height: 90vh;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3.75rem;
    position: relative;
    z-index: 10;
}

#cards>img {
    position: absolute;
    top: 0;
    left: 6%;
    width: 13.75rem;
    height: 9.375rem;
    object-fit: fill;
    z-index: -1;
}

.card {
    height: 80%;
    width: 26%;
    overflow: hidden;
    border-radius: 1.25rem;
    transition: all linear 0.3s;
}

.card::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.3);
    z-index: 1;
}

.overlay {
    height: 100%;
    width: 100%;
    background-color: transparent;
    display: flex;
    align-items: start;
    justify-content: end;
    flex-direction: column;
    padding: 0 2.1875rem 0.9375rem;
    position: absolute;
    z-index: 1;
    transition: all linear 0.3s;
}

.overlay h4 {
    color: #ffffff;
    font-size: 2.5rem;
    text-transform: uppercase;
    font-weight: 900;
    margin-bottom: 0.9375rem;

}

.overlay p {
    display: none;
    color: #000;
    font-size: 1.125rem;
    line-height: 2.1875rem;
    font-weight: 400;
    margin-bottom: 1.875rem;
}

.card img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
    position: absolute;
    z-index: 0;
}

.overlay:hover h4 {
    color: #000;
    background-color: transparent;
}

.overlay:hover {
    background-color: #91B508;
}

.overlay:hover p {
    display: block;
}

.card:hover img {
    transform: scale(1.1);
}

#greenbox {
    height: 40vh;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: linear-gradient(to right top, #91B508 45%, #069C3C);
    position: relative;
    z-index: 10;
}

#greenbox h4 {
    width: 40%;
    font-size: 1.875rem;
    text-transform: uppercase;
    line-height: 3.125rem;
    font-weight: 800;
    text-align: center;
    color: #000;

}

#greenbox img {
    opacity: 0.5;
    height: 100%;
    object-fit: cover;
    width: 13%;
    padding: 0.4375rem 0.9375rem;
}

#page3 {
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    position: relative;
    z-index: 10;
}

#page3>h4 {
    font-size: 1.875rem;
    font-weight: 900;
    width: 60%;
    line-height: 2.8125rem;
    text-align: center;
    text-transform: uppercase;
    position: absolute;
}

#colon1 {
    left: 15%;
    top: 25%;
    height: 3.4375rem;
    position: absolute;
}

#colon2 {
    height: 3.4375rem;
    position: absolute;
    right: 15%;
    bottom: 25%;
}

#page4 {
    height: 30vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1.875rem;
    z-index: 10;
    position: relative;
}

.dash {
    height: 70%;
    width: 26%;
    overflow: hidden;
    border-radius: 1.25rem;
    position: relative;
    z-index: 10;

}

.dash h2 {
    height: 100%;
    width: 100%;
    color: #000;
    background-color: #91B508;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2.3125rem;
    font-weight: 800;
    transition: all linear 0.3s;
    text-transform: uppercase;
    position: absolute;
    z-index: 1;
}

.dash img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: transform 0.5s ease;
    position: absolute;
    z-index: 0;
}


.dash::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.3);
    z-index: 1;
}

.dash:hover h2 {
    color: #ffffff;
    background-color: transparent;
}

.dash:hover img {
    transform: scale(1.1);
}

#page4 h1 {
    font-size: 5rem;
    position: absolute;
    top: -12%;
    font-weight: 900;
    color: black;
    text-shadow: -0.0625rem -0.0625rem 0 #fff, 0.0625rem -0.0625rem 0 #fff, -0.0625rem 0.0625rem 0 #fff, 0.0625rem 0.0625rem 0 #fff;
}

#footer {
    height: 50vh;
    width: 100%;
    background: linear-gradient(to right top, #91B508 45%, #069C3C);
    position: relative;
    z-index: 10;
}

#footer>img {
    height: 80%;
    position: absolute;
    top: 10%;
    z-index: -1;
}

#sec {
    padding-top: 6.875rem;
    height: 60%;
    width: 100%;
    display: flex;
    align-items: start;
    justify-content: center;
}

#section1,
#section2,
#section3,
#section4 {
    height: 100%;
    width: 23%;
    display: flex;
    align-items: start;
    left: 10%;
    justify-content: flex-start;
    flex-direction: column;
    gap: 3.125rem;
}

#section1 {
    width: 15%;
}

#section4 {
    gap: 0;
}

#section1>img {
    height: 6.25rem;
}

#socials i {
    font-size: 2.1875rem;
    color: #000000;
    transition: all ease 0.3s;
}

#socials i:hover {
    color: #ffffff;
}

#section2 ul {
    list-style-type: none;
    text-transform: uppercase;
    font-weight: 900;
    font-size: 1.875rem;
}

#section2 li {
    color: #000;
    line-height: 3.125rem;
    transition: all ease 0.3s;
}

#section2 li:hover {
    color: #ffffff;
}

#section3 ul {
    list-style-type: none;
    text-transform: uppercase;
    font-weight: 900;
    font-size: 1.875rem;
}

#section3 li {
    color: #000;
    line-height: 3.125rem;
    transition: all ease 0.3s;
}

#section3 li:hover {
    color: #ffffff;
}

#section4 p {
    color: #000;
    font-size: 1.125rem;
    line-height: 1.5625rem;
    font-weight: 600;
    text-transform: uppercase;
    transition: all ease 0.3s;
}

#section4 h4 {
    color: #000;
    font-size: 1.25rem;
    line-height: 1.875rem;
    font-weight: 900;
    text-transform: uppercase;
}

#section4 h4:hover {
    color: #ffffff;
}

#lastline {
    height: 20vh;
    width: 85%;
    display: flex;
    align-items: end;
    justify-content: center;
    bottom: 7%;
    position: absolute;
    z-index: -1;
}

#lastline ul {
    list-style-type: none;
    display: flex;
}

#lastline li {
    color: #000;
    font-size: 0.9375rem;
    font-weight: 500;
    transition: all ease 0.3s;
    padding: 0 0.625rem;
}

#lastline li+li {
    border-left: 0.0625rem solid #000000;
}